Differences between revisions 6 and 40 (spanning 34 versions)
Revision 6 as of 2017-07-25 12:32:57
Size: 2814
Editor: ?dai
Comment: cosmetic change
Revision 40 as of 2018-11-17 08:54:11
Size: 5255
Editor: ?dai
Comment: add "RFE: uim-skk supports UTF-8" github issue link
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
#language ja
Line 7: Line 8:

== デフォルトインプットメソッドの変更 (future default IM) ==

 * 現状の uim の懸念点 (concerns @current)
   * upstream の開発が停滞している。(upstream development is stall)
   * Qt5 対応が開発途上でバグが多い。(coping with Qt5 is under development and buggy)
      * --(https://github.com/uim/uim/issues/30#issuecomment-20566198 )--
      * --(https://github.com/uim/uim/issues/112 )--

   * uim-skk が UTF-8 に対応していない。(uim-skk does not handle UTF-8)
      * https://github.com/uim/uim/issues/135
 * 変更先は ibus が有力。(ibus is reasonable alternative)
   * http://tokyodebian.alioth.debian.org/pdf/debianmeetingresume201708-kansai.pdf
   * http://ikuya.info/pdf/stretch-im.pdf
   * 以前にも提起 (this idea was raised in the past)
      * http://lists.debian.or.jp/archives/debian-devel/201605/msg00006.html
   * 改めて提起 (raised again)
      * https://lists.debian.or.jp/pipermail/debian-devel/2017-September/000094.html
      * [[JapaneseEnvironment/IbusSupportforBuster]]

 * 変更対象(will be changed)(tasksel)
   * task-japanese-desktop: uim, uim-anthy, uim-mozc
   * task-japanese-gnome-desktop: uim-applet-gnome
      * https://bugs.debian.org/874493
   * task-japanese-kde-desktop: plasma-widget-uim
      * https://bugs.debian.org/874495

= 1.8.6+gh20161003.0.d63dadd-5 までで完了した作業 (work done) =

 * UTF-8 がデフォルトとなった anthy 0.3 対応 (support anthy 0.3 with default encoding as UTF-8)
   * https://bugs.debian.org/873123 "uim-xim segfaults with anthy"
     * https://github.com/uim/uim/issues/7
   * https://bugs.debian.org/873739 "uim-anthy: Package uim-anthy is uninstallable"
   * https://bugs.debian.org/873874 "uim FTBFS with libanthy-dev 1:0.3-5"
     * https://lists.alioth.debian.org/pipermail/pkg-anthy-japanese/2017-August/000030.html

 * Qt4 削除対応 (Qt4 removal)
   * https://bugs.debian.org/875216
      * Qt4 は次期 stable で削除予定。(Qt4 will not be shipped in Debian 10)
         * https://lists.debian.org/debian-devel-announce/2017/08/msg00006.html

 * 壊れているアプレット/systray の削除 (broken applets/systrays removal)
   * plasma-widget-uim にバグがある?(looks like plasma-widget-uim has bug(s))
     * plasma-widget-uim dropped at 1:1.8.6+gh20161003.0.d63dadd-5~exp1
   * GNOME 3 対応にいくつか問題がある。(coping with GNOME 3 has some issues)
      * --(https://wiki.debian.org/ja/L10n/Japanese#line-30 )--
         * uim-applet-gnome and uim-toolbar-gtk{,3}-systray dropped at 1:1.8.6+gh20161003.0.d63dadd-5~exp1
      * https://github.com/uim/uim/issues/18
      * https://github.com/uim/uim/issues/34

 * low-popcon パッケージの削除 (low-popcon packages removal)
   * uim-dict-gtk
   * uim-dict-gtk3
Line 21: Line 75:
   * uim-qt
   * uim-qt-immodule
Line 24: Line 76:
   + uim-qt5-immodule    * uim-qt5-immodule
Line 27: Line 79:
   * uim-applet-gnome
   * plasma-widget-uim
Line 34: Line 84:
   * uim-common
   * libuim-data
   * libuim-plugins
   * uim-utils
   * uim-anthy
   * uim-skk
   * uim-m17nlib
   * uim-byeoru
   * uim-latin
   * uim-pinyin
   * uim-tcode
   * uim-viqr
   * uim-ipa-x-sampa
   * uim-look
   * uim-common, libuim-data, uim-utils を内包 (contains uim-common, libuim-data, uim-utils now)
   * uim-ahtny, uim-skk, uim-tcode統合 (integrate uim-anthy, uim-skk, uim-tcode)
     * uim-anthy をメタパッケージ化 (make uim-anthy meta package)
       * Depends: anthy
     * uim-skk をメタパッケージ化 (make uim-skk meta package)
       * Depends: skkdic | skkdic-extra | skkserv | dbskkd-cdb
     * uim-tcode をメタパッケージ化 (make uim-tcode meta package)
       * Depends: uim-skk, t-code-common
   * uim-latin, uim-pinyin, uim-viqr, uim-ipa-x-sampa, uim-look, uim-m17nlib, uim-byeoru 統合 (integrate uim-latin, uim-pinyin, uim-viqr, uim-ipa-x-sampa, uim-look, uim-m17nlib, uim-byeoru)
     * これらのパッケージは廃止、ただし使用自体は可能: debian/NEWS 参照 (these packages will be obsoleted although still can be used: see debian/NEWS))
     * uim 実パッケージに統合したインプットメソッドは、すべて自動で登録する。(register IMs integrated into real uim package)
   * アーキテクチャ非依存ファイルをuim-dataに移動 (move arch-independent files into uim-data)
   * libuim-pluginsをuim-pluginsに改名 (rename libuim-plugins to uim-plugins)
Line 49: Line 98:
 * uim-anthy をメタパッケージ化 (make uim-anthy meta package)
   * Depends: anthy

 * uim-skk をメタパッケージ化 (make uim-skk meta package)
   * Depends: skkdic | skkdic-extra | skkserv | dbskkd-cdb

 * uim-tcode をメタパッケージ化 (make uim-tcode meta package)
   * Depends: uim-skk, t-code-common

 * 次のパッケージは廃止 (these packages will be obsoleted) (使用自体は可能: debian/NEWS 参照 (although still can be used: see debian/NEWS))
   * uim-m17nlib
   * uim-byeoru
   * uim-latin
   * uim-pinyin
   * uim-viqr
   * uim-ipa-x-sampa
   * uim-look

 * 次のパッケージも廃止する? (let these packages to be obsoleted, too?)
   * uim-dict-gtk
   * uim-dict-gtk3

= 実施作業 (work done) =

 * debian-experimentalブランチ作成 (debian-experimental branch created) (from 8a8ca77e0754c3f2e1f3f0fc592378fa9c05fd77)
 * uimを実パッケージ化 (make uim real package)
   * uim-common, libuim-dataを内包 (contains uim-commonand libuim-data now)

= 参考リンク (links) =
== 参考リンク (links) ==
Line 81: Line 102:
 * BTS
   * [[DebianBug:858111|#858111]] libuim-data->uim-utilsの順にインストールすると/var/lib/uim以下にファイルが生成されない (files will not be created when install libuim-data, then uim-utils)
   * [[DebianBug:863664|#863664]] プラグインがmultiarch対応になっていない (plugins are not multiarch capable yet)

uim: Universal Input Method

パッケージ情報 (package information)

post stretchの作業指針 (guideline for post-stretch)

デフォルトインプットメソッドの変更 (future default IM)

1.8.6+gh20161003.0.d63dadd-5 までで完了した作業 (work done)

パッケージの統廃合 (to be integrated/obsoleted packages)

  • 次のライブラリパッケージはそのまま。(these library packages will be kept same)
    • libuim8
    • libuim-scm0
    • libuim-custom2
    • libuim-dev
  • IMパッケージは分割 (IM packages will be divided)

    • uim-gtk2.0
    • uim-gtk2.0-immodule
    • uim-gtk3
    • uim-gtk3-immodule
    • uim-qt5
    • uim-qt5-immodule
  • そのまま (will be as is)

    • uim-xim
    • uim-fep
    • uim-el
  • uim を実パッケージに変更し、次のパッケージ内容をすべて統合 (make uim real package and contains these contents)

    • uim-common, libuim-data, uim-utils を内包 (contains uim-common, libuim-data, uim-utils now)
    • uim-ahtny, uim-skk, uim-tcode統合 (integrate uim-anthy, uim-skk, uim-tcode)
      • uim-anthy をメタパッケージ化 (make uim-anthy meta package)
        • Depends: anthy
      • uim-skk をメタパッケージ化 (make uim-skk meta package)
        • Depends: skkdic | skkdic-extra | skkserv | dbskkd-cdb
      • uim-tcode をメタパッケージ化 (make uim-tcode meta package)
        • Depends: uim-skk, t-code-common
    • uim-latin, uim-pinyin, uim-viqr, uim-ipa-x-sampa, uim-look, uim-m17nlib, uim-byeoru 統合 (integrate uim-latin, uim-pinyin, uim-viqr, uim-ipa-x-sampa, uim-look, uim-m17nlib, uim-byeoru)
      • これらのパッケージは廃止、ただし使用自体は可能: debian/NEWS 参照 (these packages will be obsoleted although still can be used: see debian/NEWS))
      • uim 実パッケージに統合したインプットメソッドは、すべて自動で登録する。(register IMs integrated into real uim package)
    • アーキテクチャ非依存ファイルをuim-dataに移動 (move arch-independent files into uim-data)
    • libuim-pluginsをuim-pluginsに改名 (rename libuim-plugins to uim-plugins)

参考リンク (links)